package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author 陈标
 * @Description
 * @Date 2020/7/23 0023 18:25
 */
public class ListMetadataRequest extends BasePageRequest {
    private static final long serialVersionUID = 5484968491753010706L;


    /**
     * 业务类型
     */
    @ApiModelProperty("业务类型 餐饮1 零售2 企小店3")
    private String bizType;


    /**
     * 属性
     */
    @ApiModelProperty("属性")
    private String property;

    /**
     * 值
     */
    @ApiModelProperty("值")
    private String value;


    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
